import { withInstall } from '/nerv-lib/util';
import application from './system/application/application.vue';
import viewAddForm from './service/add-form.vue';
import viewEditForm from './service/edit-form.vue';
import viewListTable from './service/list-table.vue';
import viewDetail from './service/detail.vue';
import viewEmpty from './service/empty.vue';
// import viewSideNav from './system/layout/nav-content.vue';
import viewSideNav from './service/side-nav.vue';

import viewContent from './system/layout/content.vue';

export const NsApplication = withInstall(application);
export const NsViewAddForm = withInstall(viewAddForm);
export const NsViewEditForm = withInstall(viewEditForm);
export const NsViewListTable = withInstall(viewListTable);
export const NsViewDetail = withInstall(viewDetail);
export const NsViewEmpty = withInstall(viewEmpty);
export const NsViewSideNav = withInstall(viewSideNav);
export const NsViewContent = withInstall(viewContent);
